# ************************************************************
# Sequel Ace SQL dump
# Version 20067
#
# https://sequel-ace.com/
# https://github.com/Sequel-Ace/Sequel-Ace
#
# Host: 127.0.0.1 (MySQL 8.0.37)
# Database: censys
# Generation Time: 2024-07-17 12:08:37 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
SET NAMES utf8mb4;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE='NO_AUTO_VALUE_ON_ZERO', SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table cn_principal
# ------------------------------------------------------------

DROP TABLE IF EXISTS `cn_principal`;

CREATE TABLE `cn_principal` (
  `cn_principal_id` int NOT NULL DEFAULT '0',
  `cn_prn_custom_yn` tinyint(1) NOT NULL DEFAULT '0',
  `cn_prn_monitor_yn` tinyint(1) NOT NULL DEFAULT '1',
  `cn_prn_data_synch_mthd` tinyint(1) NOT NULL DEFAULT '0',
  `cn_prn_db_master_date_chg` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `cn_prn_name` char(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cn_prn_name_short` char(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cn_prn_password` char(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cn_prn_user` char(50) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cn_prn_version` char(20) COLLATE utf8mb4_general_ci DEFAULT NULL,
  `cn_prn_db_me_id` int DEFAULT NULL,
  `cn_key` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`cn_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

LOCK TABLES `cn_principal` WRITE;
/*!40000 ALTER TABLE `cn_principal` DISABLE KEYS */;

INSERT INTO `cn_principal` (`cn_principal_id`, `cn_prn_custom_yn`, `cn_prn_monitor_yn`, `cn_prn_data_synch_mthd`, `cn_prn_db_master_date_chg`, `cn_prn_name`, `cn_prn_name_short`, `cn_prn_password`, `cn_prn_user`, `cn_prn_version`, `cn_prn_db_me_id`, `cn_key`)
VALUES
	(6001,0,1,0,'0000-00-00 00:00:00','Test system 1','p1',NULL,NULL,'999.9.9',3,401),
	(6002,0,1,0,'0000-00-00 00:00:00','Test system 2','p2',NULL,NULL,'999.9.9',3,402),
	(6003,0,1,0,'0000-00-00 00:00:00','Test system 3','p3',NULL,NULL,'999.9.9',3,403),
	(6004,0,1,0,'0000-00-00 00:00:00','Test system 4','p4',NULL,NULL,'999.9.9',3,404),
	(6005,0,1,0,'0000-00-00 00:00:00','Test system 5','p5','','','999.9.9',3,405),
	(7002,0,1,0,'0000-00-00 00:00:00','7002','7002',NULL,NULL,'999.9.9',3,702);

/*!40000 ALTER TABLE `cn_principal` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table cn_system
# ------------------------------------------------------------

DROP TABLE IF EXISTS `cn_system`;

CREATE TABLE `cn_system` (
  `cn_sys_db_me_id` int NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

LOCK TABLES `cn_system` WRITE;
/*!40000 ALTER TABLE `cn_system` DISABLE KEYS */;

INSERT INTO `cn_system` (`cn_sys_db_me_id`)
VALUES
	(3);

/*!40000 ALTER TABLE `cn_system` ENABLE KEYS */;
UNLOCK TABLES;



--
-- Dumping routines (FUNCTION) for database 'censys'
--
DELIMITER ;;

# Dump of FUNCTION GET_UUID
# ------------------------------------------------------------

/*!50003 DROP FUNCTION IF EXISTS `GET_UUID` */;;
/*!50003 SET SESSION SQL_MODE="NO_AUTO_VALUE_ON_ZERO"*/;;
/*!50003 CREATE*/ /*!50020 DEFINER=`root`@`localhost`*/ /*!50003 FUNCTION `GET_UUID`() RETURNS varchar(36) CHARSET utf8mb4 COLLATE utf8mb4_general_ci
    DETERMINISTIC
BEGIN
    DECLARE new_uuid VARCHAR(36);
	SET new_uuid = CONCAT(SUBSTR(UUID(), 15, 4),SUBSTR(UUID(), 10, 4),SUBSTR(UUID(), 1, 8),SUBSTR(UUID(), 20, 4),SUBSTR(UUID(), 25));
	RETURN (new_uuid);
END */;;

/*!50003 SET SESSION SQL_MODE=@OLD_SQL_MODE */;;
DELIMITER ;

/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
